﻿using System;

namespace TestProject
{
    /// <summary>
    /// 주문 데이터
    /// </summary>
    public class OrderData
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 주문 ID - OrderID

        /// <summary>
        /// 주문 ID
        /// </summary>
        public int OrderID { get; set; }

        #endregion
        #region 고객명 - CustomerName

        /// <summary>
        /// 고객명
        /// </summary>
        public string CustomerName { get; set; }

        #endregion
        #region 주문일 - OrderDate

        /// <summary>
        /// 주문일
        /// </summary>
        public DateTime OrderDate { get; set; }

        #endregion
        #region 제품명 - ProductName

        /// <summary>
        /// 제품명
        /// </summary>
        public string ProductName { get; set; }

        #endregion
        #region 가격 - Price

        /// <summary>
        /// 가격
        /// </summary>
        public decimal Price { get; set; }

        #endregion
        #region 수량 - Quantity

        /// <summary>
        /// 수량
        /// </summary>
        public int Quantity { get; set; }

        #endregion
    }
}